#include <qobject.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qscrollview.h>


#include <kinstance.h>
#include <klocale.h>
#include <kiconloader.h>
#include <kaction.h>
#include <kstdaction.h>
#include <kdebug.h>


#include "marklist.h"
#include "scrollbox.h"

#include "kmultipage.moc"


KMultiPage::KMultiPage(QWidget *parent, const char *name)
  : KParts::ReadOnlyPart(parent, name), mainWidget(0)
{
  _scrollView = new QScrollView(parent);
  _scrollView->setResizePolicy(QScrollView::AutoOne);
  _scrollView->setVScrollBarMode(QScrollView::Auto);
  _scrollView->setHScrollBarMode(QScrollView::Auto);

  setWidget(_scrollView);
}


KMultiPage::~KMultiPage()
{
}
